package com.zjrs.zwnw.bsdb.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.bsdb.dto.*;

import java.util.List;
import java.util.Map;

public interface DbsxBLO {

    PageResult queryDbglTimeoutList(VRsSlxxRemaindatePageQueryDTO dto);

    PageResult queryDbglDbList(DbglPageQueryDTO dto);

    PageResult queryDbglYbList(DbglPageQueryDTO dto);

    PageResult queryDbglList(DbglPageQueryDTO dto);

    RsBsdbDbsxDTO dbglQuery(DbglQueryDTO dto);

    RsBsdbDbsxDTO dbglSave(RsBsdbDbsxSaveDTO dto);

    void dbglDelete(DbglDeleteDTO dto);

    Map<String, String> queryProcess(DbglQueryDTO dto);

    void dbglPublish(DbglPublishDTO dto);

    void dbglUrge(DbglQueryDTO dto);

    RsBsdbDbsxDTO dbglAppraise(DbglAppraiseSaveDTO dto);

    PageResult queryReportformsList(DbglPageQueryDTO dto);

    Map<String, Object> queryReportforms(DbglReportFormsQueryDTO dto);

    Map<String, Object> queryStatisForFzdwsxtj(DbglReportFormsQueryDTO dto);

    List<TreeNodeDTO> queryUserTree(Map<String, Object> params);

    void dbglAssign(DbglAssignDTO dto);

    void dbglFeedback(DbglFeedbackSaveDTO dto);

    void dbglFeedbackSubmit(DbglFeedbackSaveDTO dto);

    PageResult queryDbglWorkspaceDbList(DbglPageQueryDTO dto);

    PageResult queryDbglWorkspaceYbList(DbglPageQueryDTO dto);

    List<TreeNodeDTO> queryUserOrg(Map<String, Object> params);
}
